View Issue Details

IDProjectCategoryView StatusLast Update
0003046Ham Radio DeluxeEnhancementpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.166 
Target VersionFixed in Version6.5.0.183 
Summary0003046: move controls for the config of each Logbook Callsign Lookup data source their own property page
DescriptionThe Logbook's callsign lookup feature can use about ten different data sources for callsign information. Most of these sources require some amount of configuration -- login credentials or a path to some data files, for example. The UI for each data source is dumped onto a single property page which ends up disorganized and very crowded.

We can do better. Let's make a property page with the controls for each data source; they'll be easy to find, can include more details and help, and won't look such a jubmle.
Steps To Reproduce1) Start up the logbook. Don't need any particular database
2) Click on the "Tools" menu to reveal the "Configure" tear-off menu
3) In the "Configure" tear off, choose the "Callsign Lookup" command
4) In the resulting "Enable" tab, assure that the "hamcall.net subscription" data source is among those active
5) Use the "lookup options" tab and provide a username and password for the "Hamcall via XML (6.0)" data source
6) On the same tab, enter a callsign in the "enter a callsign, results are shown in a popup window" edit control
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003001 newWA9PIE 3 - Current Dev List Callsign lookup function does not appear to be working as designed 
related to 0003064 closedK7ZCZ 4 - Closed w/o Action Relocate the new "Test" tab to the far right in the Callsign Lookup configuration dialog box 

Activities

K7ZCZ

2019-01-14 15:31

manager   ~0006995

This checkin moves the "local" (USB and CD) data sources to their own configuration tab. This doesn't completely fix this issue ... still have to make a few more tabs and move some more controls.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4716

K7ZCZ

2019-01-15 10:49

manager   ~0006997

The rest of the controls are moved with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4717

WA9PIE

2019-01-16 18:02

administrator   ~0007014

Validated (love it)

Issue History

Date Modified Username Field Change
2019-01-07 11:16 K7ZCZ New Issue
2019-01-07 11:19 K7ZCZ Relationship added related to 0003001
2019-01-14 15:29 K7ZCZ Relationship added related to 0003064
2019-01-14 15:31 K7ZCZ Note Added: 0006995
2019-01-15 10:49 K7ZCZ Assigned To => K7ZCZ
2019-01-15 10:49 K7ZCZ Status new => resolved
2019-01-15 10:49 K7ZCZ Resolution open => fixed
2019-01-15 10:49 K7ZCZ Note Added: 0006997
2019-01-16 17:53 WA9PIE Fixed in Version => 6.5.0.182
2019-01-16 18:02 WA9PIE Status resolved => closed
2019-01-16 18:02 WA9PIE Description Updated View Revisions
2019-01-16 18:02 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-16 18:02 WA9PIE Testing Not Started => Beta Successful
2019-01-16 18:02 WA9PIE Note Added: 0007014
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.182 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe